/*
Wireless Motion-Activated LED Display - TRANSMITTER
*                
* by Peter Burke
* 
* Library: TMRh20/RF24, https://github.com/tmrh20/RF24/
*/

#include <SPI.h>
#include <nRF24L01.h>
#include <RF24.h>
#include "Arduino.h"
#include "PIR.h"

#define PIR_PIN_SIG 2

PIR pir(PIR_PIN_SIG);

RF24 radio(7, 8); // CE, CSN

const byte address[6] = "00001";


void setup() {
 
  Serial.begin(9600);
  while (!Serial);  // wait for serial port to connect. Needed for native USB
  Serial.println("start");
  radio.begin();
  radio.openWritingPipe(address);
  radio.setPALevel(RF24_PA_MIN);
  radio.stopListening();
}

void loop() {
  bool pirVal = pir.read();
  if (pirVal == 1){
    const char text[] = "Hello World";
    radio.write(&text, sizeof(text));
    Serial.println(text);
    delay(1000);
  }
}